<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 14</H1>

<P>Numero du papier: 14
<P>Titre du papier: Affichage générique d'arbres à l'aide de la géométrie hyperbolique.
<P>Auteurs: Alexandre Miquel

<P>Nom du rapporteur: Luc Maranget
<P>Confiance en la note:  2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 4
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>

<P>Il s'agit de la présentation d'un programme d'affichage et de navigation
dans des structures arborescentes.

<P>La fenêtre graphique est une représentation du plan hyperbolique.  Si
l'idée n'est pas nouvelle, elle semble valable, sa présentation est
très claire et le programme est nouveau.  Je ne connaissais pas cette
technique, mais la présentation ludique qui en est faite à l'aide
d'une ``tortue'' se promenant dans la plan hyperbolique est tout à
fait bien venue (partie I du papier disons).  Les illustrations, qui
accompagnent les explications sont également bien venues.  De même,
les deux exemples donnés à la fin sont instructifs.

<P>Dans la deuxième partie le programme est présenté, ici encore les
explications sont claires. Et le style de programmation générique est
convaincant.

Toutefois, dans les deux parties on note tout de même quelques
<P>imprécisions, qui sont paradoxalement mises en valeur par le souci de
clarté de l'article (Si je les ai trouvées, c'est que je pouvais me
poser, grâce à l'article, des questions sur la géométrie hyperbolique
que je ne connais pas).

<P>À mon avis, ces racourcis et imprécisions témoignent que le papier
n'est pas tout à fait écrit dans le style d'une communication
scientifique.  Par exemple, il ne comporte aucune bibliographie, juste
une allusion à des travaux de 1980. Il s'agit à mon avis d'une erreur
de l'auteur qui doit, traitant d'un sujet technique et connu, donner
les moyens au lecteur d'aller plus loin. Cette écriture dessert un
papier dont le sujet est intéressant et le plan irréprochable. C'est
dommage.


<P>En conclusion je recommande chaudement la publication de cet article
d'implémentation relativement original et fondamentalement valable, et
je recommande également chaudement à l'auteur de le corriger avant
publication (quelques questions suivent) et de lui adjoindre une
bibliographie, même succinte.

<P>---------------------------------
<P>Page 1.
<P>Note 1 Non! Le lecteur veut savoir plus que l'explication du sigle
<P>PARC (rapport technique ? logiciel ?).

<P>Page 3.

<P>Quel est le point de vue de la tortue ?
<P>Un mvt rectilingue uniforme ?

<P>Quel est le point de vue de l'observateur : plan euclidien ?

<P>Pourquoi les ``tranlations'' s'appelle-t-elles ainsi ?

<P>Que siginie donc l'équation
  \gamma(t) = ... 
et en particulier quelle est la vitesse de ce mobile.
Il ne suffit pas de donner une équation (surtout celle là) pour
caractériser un mouvement.

<P>Page 4,
<P>Le code donne me semble-t-il la différentielle  de \gamma
(incrément de mvt), le pas de temps est mal défini.

<P>En quoi les ``droites'' en sont elles ? (Axiomes d'Euclide ??,
invariance par transformation ??)
<P>Quelle est l'utilité des propositions 2.3 et 2.4 dans ce contexte ?

<P>Page 6,
<P>Retour des unités de temps (entre guillemets) ce point du temps doit
être clarifié dès le départ.


<P>Page 8,
<P>Quelles sont donc ces courbes de Bezier ? Pourquoi ne pas employer des
arcs de cercles ? (Je suis sûr qu'il y a une raison, mais j'aurais voulu
la trouver dans le papier).


<P>Page 12,

<P>Quid des librairies calcul en précision arbitraire ?

<P>Commentaires reserves au comite de programme:<P>

</BODY>
</HTML>

